Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
Class ObjectGraphBuilder.ReflectionClassNameResolver

    java.lang.Object
      groovy.util.ObjectGraphBuilder.ReflectionClassNameResolver

All Implemented Interfaces:
  ObjectGraphBuilder.ClassNameResolver

Enclosing class:
  ObjectGraphBuilder

    public class ObjectGraphBuilder.ReflectionClassNameResolver
    extends Object
    implements ObjectGraphBuilder.ClassNameResolver

Build objects using reflection to resolve class names.

Constructor Summary
Constructor and Description
`ObjectGraphBuilder.ReflectionClassNameResolver(String root)`

Method Summary
Modifier and Type | Method and Description
--- | ---
`String` | `resolveClassname(String classname)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectGraphBuilder.ReflectionClassNameResolver

    public ObjectGraphBuilder.ReflectionClassNameResolver(String root)

  Parameters:
    `root` - package where the graph root class is located

Method Detail

### resolveClassname

    public String resolveClassname(String classname)

  Specified by:
    `resolveClassname` in interface `ObjectGraphBuilder.ClassNameResolver`
  Parameters:
    `classname` - the node name as written on the building code

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD